Skip to main content

Cancel Order

Flow

Description: If you no longer want to continue paying for an order, use this API to set the order status on Baokim to cancelled.

API Information

Method: POST

URL: /b2b/core/api/ext/order/cancel

Request

Main Parameters Table

Field NameData TypeRequiredDescription
request_idStringRequest ID
request_timeDatetimeRequest time. Format: YYYY-MM-DD H:m:s
merchant_codeStringMerchant code provided by Baokim
mrc_order_idStringMerchant's order ID

Request Example

{
"request_id": "RQID0001",
"request_time": "2023-08-18T10:00:00.000Z",
"merchant_code": "MERCHANTCODE",
"mrc_order_id": null
}

Response

note

HTTP 200 - Success

Main Parameters Table

Field NameData TypeRequiredDescription
codeIntegerResult code
messageStringMessage
data.mrc_order_idStringMerchant's order ID (required if order_id null)
data.order_idStringBaokim order ID (required if mrc_order_id null)

Response Example

{
"code": 0,
"message": null,
"data": {
"mrc_order_id": null,
"order_id": null
}
}

Error Codes

Error CodeDescription
104Authentication error
105Invalid digital signature
108Order cannot be cancelled
109Order not found